> For the complete documentation index, see [llms.txt](https://docs.carbondefi.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.carbondefi.xyz/contracts-and-functions/carbonvortex-functions/read-functions/availabletokens.md).

# availableTokens()

{% code overflow="wrap" %}

```solidity
    function availableTokens(address token) external view returns (uint256);
```

{% endcode %}

This function is used to identify the amount of fees accumulated in the specified token. The returned amount is the sum of tokens from both the `carbonController` and `carbonVortex`.

### **Function Arguments**

<table><thead><tr><th>Name</th><th width="186.66666666666663">Type</th><th>Description</th></tr></thead><tbody><tr><td>token</td><td>Token</td><td>The address of the token.</td></tr></tbody></table>

### Returns

This returns the amount of fees accumulated by the protocol for the specified token.

### Example

```solidity
accumulatedFees(
0xEeeeeEeeeEeEeeEeEeEeeEEEeeeeEeeeeeeeEEeE // token
)

// Return
// 415000000000000000000 fees
```

{% hint style="info" %}
For the ETH token, use the contract address: *0xEeeeeEeeeEeEeeEeEeEeeEEEeeeeEeeeeeeeEEeE*&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.carbondefi.xyz/contracts-and-functions/carbonvortex-functions/read-functions/availabletokens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
